import React, { useEffect } from "react";
import { useLocation } from "react-router";
import { useSelector } from "react-redux";

import Cookies from "js-cookie";

const Home = () => {
	const currentUser = useSelector((state) => state.currentUser);

	const location = useLocation();

	return (
		<div className="test">
			<h2>Home</h2>
			{currentUser && (
				<div>
					<p>Utilisateurice connecté·e, bravo !</p>
				</div>
			)}

			{!currentUser && (
				<div>
					<p>Utilisateurice non connecté·e.</p>
				</div>
			)}
			<p>{location.state && location.state.status}</p>
		</div>
	);
};

export default Home;
